<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "credmain";
$trandb = "credoth";
$file = "credoth.php";

$fseries = $_SESSION["series_" . $dbname];
$keycond = " and `series`='$fseries'";
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

IF (isset($_GET['credtype']) != "") {
    $zcredtype = "$_GET[credtype]";
} ELSE {
    $zcredtype = "G";
}

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `partyname` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "4") {
        $cond = "AND `netamt` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `partyname` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "4") {
        $cond = "AND `netamt` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vouchdt`";
} elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `partyname`";
} elseif ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `netamt`";
} 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

//    $srchresult =  "SELECT a.`vouchno`, Date_format(vouchdt,'%d-%m-%Y') as mydt,b.name as partyname,
//                           a.`netamt` FROM `$maindb` a,accmast b WHERE b.accode = a.party  $cond 
//                           $keycond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo" or die(mysqli_error($conn));
//    $result = mysqli_query($conn, $srchresult)or die(mysqli_error($conn));

    
    mysqli_query($conn, "Create temporary table `co`SELECT a.`vouchno`, Date_format(vouchdt,'%d-%m-%Y') as mydt,b.name as partyname,
                          a.`netamt` FROM `$maindb` a, accmast b WHERE b.accode = a.party 
                          AND a.credtype = 'O' $keycond")or die(mysqli_error($conn));

    $srchresult = "SELECT * FROM `co` WHERE vouchno != '' $cond  $sortcond $ordcond  LIMIT $rangeFrom,$rangeTo" or die(mysqli_error($conn));

    $result = mysqli_query($conn, $srchresult)or die(mysqli_error($conn));
    
    $rows = array();
    $ctr = 0;
    while ($r = mysqli_fetch_assoc($result)) {
        $rows[] = [ 'success' => true,
            'value'     => $ctr,
            'keyfld'    => $keyfld,
            'vouchno'   => $r['vouchno'],
            'mydt'      => $r['mydt'],
            'partyname' => $r['partyname'],
            'netamt'    => $r['netamt'],
            'action'    => "$file?mode=edit&vouchno=$r[vouchno]&series=$row[series]",
        ];
        $ctr++;
    }
    header("Content-type: application\json");
    echo json_encode($rows);
